// -*- C++ -*-
// $RCSfile: materialsubproblem.h,v $
// $Revision: 1.6 $
// $Author: vrc $
// $Date: 2007-09-26 22:02:45 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>

#ifndef MATERIALSUBPROBLEM_H
#define MATERIALSUBPROBLEM_H

#include "engine/predicatesubproblem.h"

class Material;

class MaterialPredicate {
private:
  const Material *material;
public:
  MaterialPredicate(const Material*);
  bool operator()(const FEMesh*, const Element *element) const;
};

class MaterialSubProblem: public PredicateSubProblem<MaterialPredicate> {
public:
  MaterialSubProblem(const Material *mat)
    : PredicateSubProblem<MaterialPredicate>(MaterialPredicate(mat))
  {}
};

#endif // MATERIALSUBPROBLEM_H
