// -*- C++ -*-
// $RCSfile: twovector.h,v $
// $Revision: 1.3 $
// $Author: vrc $
// $Date: 2007-09-26 22:02:57 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#ifndef TWOVECTOR_H
#define TWOVECTOR_H

template <class TYPE>
TwoVector {
  TYPE x, y;
  TwoVector() : x(0), y(0) {}
  TwoVector(const TYPE &xx, const TYPE &yy) : x(xx), y(yy) {}
};

template <class TYPE>
inline TwoVector<TYPE> operator+(const TwoVector<TYPE> &a,
				 const TwoVector<TYPE> &b)
{
  return TwoVector<TYPE>(a.x + b.x, a.y + b.y);
}

template <class TYPE>
inline TwoVector<TYPE> operator-(const TwoVector<TYPE> &a,
				 const TwoVector<TYPE> &b)
{
  return TwoVector<TYPE>(a.x - b.x, a.y - b.y);
}

template <class TYPE>
inline TwoVector<TYPE> operator*(const TwoVector<TYPE> &a, double x) {
  return TwoVector<TYPE>(a.x*x, a.y*x);
}

template <class TYPE>
inline TwoVector<TYPE> operator*(double x, const TwoVector<TYPE> &a) {
  return TwoVector<TYPE>(a.x*x, a.y*x);
}

#endif
